Google Web Toolkit (Beta)
Search this site:

# Class Vector

public class Vector
extends AbstractList
implements List, RandomAccess, Cloneable
// Superclass of `Stack`
To keep performance characteristics in line with Java community expectations, `Vector` is a wrapper around `ArrayList`.

## Constructors

Vector() |
Vector(Collection) |
Vector(int) | There is no speed advantage to pre-allocating array sizes in JavaScript, so the `intialCapacity` parameter is ignored.

## Methods

add(int, Object) |
add(Object) |
addAll(Collection) |
addAll(int, Collection) |
addElement(Object) |
clear() |
clone() |
contains(Object) |
copyInto(Object[]) |
elementAt(int) |
firstElement() |
get(int) |
indexOf(Object) |
indexOf(Object, int) |
insertElementAt(Object, int) |
isEmpty() |
iterator() |
lastElement() |
lastIndexOf(Object) |
lastIndexOf(Object, int) |
remove(int) |
removeAllElements() |
removeElement(Object) |
removeElementAt(int) |
removeRange(int, int) |
set(int, Object) |
setElementAt(Object, int) |
setSize(int) |
size() |
toArray() |